Skip to main content
POST
/
send
cURL
curl -X POST 'https://api.wachap.com/v1/send' \
  -H 'Content-Type: application/json' \
  -d '{
    "number": "2299775xxxx",
    "type": "text",
    "message": "Hello from cURL",
    "instance_id": "609ACF283XXXX",
    "access_token": "646116c7XXXX"
  }'
{
  "status": 200,
  "message_id": "MSG-112233",
  "message": "Message envoyé"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
number
string
required

Numéro WhatsApp du destinataire

type
enum<string>
required
Available options:
text,
media
instance_id
string
required
message
string
media_url
string<uri>
filename
string
access_token
string

Response

OK

status
integer
message_id
string
message
string